360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
警告警告

PhpMyAdmin show_config_errors.php路径信息泄漏漏洞

WASC Threat Classification

发现时间:

2014-01-02

漏洞类型:

信息泄露

所属建站程序:

其他

所属服务器类型:

通用

所属编程语言:

PHP

描述:

目标存在PhpMyAdmin show_config_errors.php路径信息泄漏漏洞。phpMyAdmin在实现上存在安全漏洞,show_config_errors.php没有验证配置文件的存在,因此错误信息中显示该文件的完整路径,导致信息泄露。

验证方式:打开目标页面验证是否泄露路径信息。

危害:

攻击者可以利用泄露的敏感信息进行进一步的攻击。

解决方案:

官方补丁:

https://github.com/phpmyadmin/phpmyadmin/blob/c51817d3b8cb05ff54dca9373c0667e29b8498d4/show_config_errors.php

注释掉类似下面的语句或者根据官方补丁和自己的文件进行对比

require(./config.inc.php)

如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载
对该漏洞进行评论